/*
 * @Description:
 * @Author: TT
 * @Date: 2023-02-27 11:30:56
 * @LastEditTime: 2023-02-28 20:45:23
 * @LastEditors: TT
 */
import { createRouter, createWebHashHistory, RouteRecordRaw } from "vue-router";
import Home from "../views/Home.vue";
import Synthesis from "../views/Synthesis.vue";
import login from "../components/login.vue";
const routes: Array<RouteRecordRaw> = [
  {
    path: "/login",
    name: "Login",
    component: login,
  },
  {
    path: "/",
    name: "Index",
    component: Home,
    redirect: "/Synthesis",
    children: [
      {
        path: "/Synthesis",
        component: Synthesis,
        name: "Synthesis",
      },
    ],
  },
];

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
